<template>
  <v-app dark>
    <!-- Top bar -->
    <v-app-bar fixed app>
      <v-toolbar-title>
        <span>{{ title }}</span>
        <small>{{ version }}</small>
      </v-toolbar-title>
      <v-spacer />
      <v-btn icon @click.stop="drawer = !drawer">
        <v-icon>mdi-menu</v-icon>
      </v-btn>
    </v-app-bar>
    <!-- Page -->
    <v-content>
      <v-container>
        <v-row justify="center" no-gutters>
          <v-col xs="12" sm="8" md="6" lg="4">
            <nuxt />
          </v-col>
        </v-row>
      </v-container>
    </v-content>
    <!-- Right nav -->
    <nav-right :drawer="drawer" />
    <!-- Bottom nav -->
    <nav-bottom />
  </v-app>
</template>

<script>
import NavBottom from '~/components/NavBottom.vue'
import NavRight from '~/components/NavRight.vue'

export default {
  components: {
    NavBottom,
    NavRight
  },
  data () {
    return {
      // 表示情報
      title: 'MORIKABU',
      version: 'v0.0.1',
      // 右ナビゲーションが表示されているかどうか
      drawer: false
    }
  }
}
</script>
